Subject: Re: bug#29492: tests/guix-system.sh failure on unbound variable check

From: [email-masked] (Ludovic Courtès)
Date: Sat, 02 Dec 2017 10:59:57 +0100

Eric Bavier <[email-masked]> skribis:

>> -----Original Message-----
>> From: Ludovic Courtès [mailto:[email-masked]]
>> Sent: Thursday, November 30, 2017 4:04 AM
>> To: Eric Bavier
>> Cc: [email-masked]
>> Subject: Re: bug#29492: tests/guix-system.sh failure on unbound variable
>> check
>> 
>> Hi Eric,
>> 
>> Eric Bavier <[email-masked]> skribis:
>> 
>> > Latest guix master (2cdf78df2d3d5d88c7e6908754233cf37cce1e61) fails
>> tests/guix-system.sh for me, on line 128.  This seems to be caused by the
>> fact that the error output contains a multi-character column number:
>> >
>> > ```
>> > /tmp/bavier/tmpfile:9:14: In procedure #<procedure 3aba2820 ()>:
>> > /tmp/bavier/tmpfile:9:14: GRUB-config: unbound variable
>> > hint: Did you forget a `use-modules' form?
>> 
>> I suppose that’s with Guile 2.0, right?
>
> Right, 2.0.14.
>
>> So the patch would become:
>
> diff --git a/tests/guix-system.sh b/tests/guix-system.sh
> index 4bb866adf..eaa0c4332 100644
> --- a/tests/guix-system.sh
> +++ b/tests/guix-system.sh
> @@ -125,7 +125,8 @@ else
>  	# See <http://bugs.gnu.org/26107>.
>  	grep "$tmpfile:[49]:[0-9]: GRUB-config.*[Uu]nbound variable" "$errorfile"
>      else
> -	grep "$tmpfile:9:[0-9]: GRUB-config.*[Uu]nbound variable" "$errorfile"
> +	# With Guile 2.0.14 the error is reported on line 14 (the last line).
> +	grep "$tmpfile:9:[0-9]\+: GRUB-config.*[Uu]nbound variable" "$errorfile"
>      fi
>  fi
>
> No, at *column* 14.  Which I believe is the desired result, right?  Character 14 is the '(', the 'GRUB-config symbol itself starts at character 15.   But now I wonder whether we should be using a regex for that anyhow.  Do we expect the column number to change ever?

We don’t, but sometimes location info is not as precise as we’d like.

> I think it would be fine to fix the regex for Guile 2.0 only, but once the bug affecting 2.2 is fixed, it'll need to be applied there too.  Maybe it would make sense to fix both at the same time.

Yes, you’re right, it’s better to fix both.

Feel free to push.

Thank you!

Ludo’.